Bug 243761 - [PATCH] news/fidogate: Fresh port version
Summary: [PATCH] news/fidogate: Fresh port version
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dirk Meyer
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2020-01-31 19:29 UTC by Sergey Anokhin
Modified: 2020-02-04 10:47 UTC (History)
2 users (show)

See Also:
dinoex: maintainer-feedback+


Attachments
Path of the port (23.87 KB, patch)
2020-01-31 19:29 UTC, Sergey Anokhin
no flags Details | Diff
suugested port (9.14 KB, text/plain)
2020-02-02 17:05 UTC, Dirk Meyer
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey Anokhin 2020-01-31 19:29:20 UTC
Created attachment 211226 [details]
Path of the port

Hello,

I suggest new port version of Fidogate. The patch is attached.
Based on repository:

https://github.com/ykaliuta/fidogate
Comment 1 Dirk Meyer freebsd_committer 2020-01-31 20:48:31 UTC
until now, no other distro has picked up this fork

https://repology.org/project/fidogate/versions

I will look into this.
Comment 2 Dirk Meyer freebsd_committer 2020-01-31 20:57:27 UTC
The patch does not apply.

Patching file Makefile using Plan A...
patch: **** malformed patch at line 161: @@ -1,2 +1,3 @@ 

Please submit your port as a shar archive.
Comment 3 Sergey Anokhin 2020-02-01 13:16:09 UTC
(In reply to Dirk Meyer from comment #1)

I think this Fidogate:

https://github.com/ykaliuta/fidogate

is more like to old FreeBSD port news/fidogate-ds.
A long time ago, Andrey Slusar made from from  news/fidogate and it called
news/fidogate-ds:

https://sourceforge.net/projects/rusfidogate/

Nobody don't know exact reasons of fork by Andrey Slusar.
However, nor news/fidogate nor /news/fidogate-ds don't supported long time ago by developers.

Github version:

https://github.com/ykaliuta/fidogate

has active support by Yauheni Kaliuta. 

Of course we can make new port like news/fidogate-ds or news/fidogate5
but I think it doesn't have a matter, because only github version has active support.
Comment 4 Sergey Anokhin 2020-02-01 13:19:13 UTC
(In reply to Dirk Meyer from comment #2)

sure:

http://5034.ru/fidogate_v9.tar.gz
Comment 5 Dirk Meyer freebsd_committer 2020-02-02 17:05:27 UTC
Created attachment 211285 [details]
suugested port

The port did not build.
It seems it was created for an older version of FreeBSD ports

- some install lines did not use STAGEDIR

- WITHOUT_* and WITH_* is obsolete
  now OPTIONS framwork is used

- some dirs are created twice
  mkdir reduced in Makefile

- sorted plist by path instead by macro

- fixed missing files and directories

The port now passed the checks:

====> Running Q/A tests (stage-qa)
/!\ To run stage-qa automatically add DEVELOPER=yes to your environment /!\
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)

Please test if this uis still functional in your setup.
Comment 6 Sergey Anokhin 2020-02-02 18:47:18 UTC
(In reply to Dirk Meyer from comment #5)

Thank you for the feedback.
My system is:

FreeBSD 12.0-STABLE r344923 SERVER  1200503

root@server:/usr/ports/news/fidogate# portlint -A
WARN: Makefile: possible use of absolute pathname "/var/spool/fido/gate".
WARN: Makefile: possible use of absolute pathname "/var/spool/fido/bt".
WARN: Makefile: possible use of absolute pathname "/var/run/fidogate".
WARN: Makefile: possible use of absolute pathname "/var/log/fido/gate".
WARN: Makefile: possible use of absolute pathname "/var/db/fidogate".
0 fatal errors and 5 warnings found.

root@server:/usr/ports/news/fidogate# make stage-qa
====> Running Q/A tests (stage-qa)

Is it really that 12.0 is already too much deprecated?

I will test and send you the report. I'm a Fidogate admin, so no problems with testing.

Thanks a lot!
Comment 7 Sergey Anokhin 2020-02-02 22:59:43 UTC
(In reply to Dirk Meyer from comment #5)

Thanks, all looks good. Tested
Comment 8 Dirk Meyer freebsd_committer 2020-02-03 15:42:06 UTC
The original port had stuff that worked only on older version of the ports 

Sadly fidogate 5.x missing some programs used here.

I will repo copy fidogate to fidofgate4.
Then update fidogate to 5.x
Comment 9 Sergey Anokhin 2020-02-04 08:11:59 UTC
(In reply to Dirk Meyer from comment #8)

Great, Thank you for the support
Comment 10 commit-hook freebsd_committer 2020-02-04 10:42:05 UTC
A commit references this bug:

Author: dinoex
Date: Tue Feb  4 10:41:43 UTC 2020
New revision: 525142
URL: https://svnweb.freebsd.org/changeset/ports/525142

Log:
  - move fidogate to fidogate4
  - update to 5.7
  PR:		243761
  Submitted by:	Sergey Anokhin

Changes:
  head/news/Makefile
  head/news/fidogate/Makefile
  head/news/fidogate/distinfo
  head/news/fidogate/files/fidogate.conf-newsyslog
  head/news/fidogate/files/patch-Makefile
  head/news/fidogate/files/patch-config.make
  head/news/fidogate/files/patch-dbz.c
  head/news/fidogate/files/patch-log.c
  head/news/fidogate/files/patch-rfc2ftn.c
  head/news/fidogate/pkg-descr
  head/news/fidogate/pkg-plist
  head/news/fidogate4/
  head/news/fidogate4/Makefile
Comment 11 Dirk Meyer freebsd_committer 2020-02-04 10:47:14 UTC
Commited with small changes.

* added CONFLICTS
* fix noEOL on fidogate.conf-newsyslog